Help Index

Imagine - Image & Animation Viewer for Windows

1. Introduction

a. Features

b. System requirements

c. License

d. Command line parameters

2. Credits

a. Translation

b. Special thanks to

3. Feedback

a. Internet

b. Frequently asked questions (FAQ)

Copyright (c) 2003-2012 Chun Sejin


Features

- View and save image/animation files with very fast speed

- Support for numerous image/animation file formats:

PNG, JPG, GIF, BMP, PCX, TGA, TIFF, ICO, CUR, LBM, ANI, FLI, WMF, EMF, etc.

- Extract single/all frames from animation files

- Show detailed information of image/animation files

- Show Exif/IPTC information

- Show or hide transparency

- Support for digital camera raw image file formats:

3FR, ARW, CR2, CRW, DNG, ERF, KDC, MRW, NEF, ORF, RAF, RAW, SRW, SR2, etc.

- Support for numerous archive file formats:

ZIP, RAR, 7Z, ALZ, HV3, CBZ, CBR, CB7, ARJ, LZH, EGG, TAR, ISO, CAB, etc.

- Support for high dynamic range image file formats:

HDR, EXR, SXR, MXR, etc.

- 64-bit version available

- Unicode version available

- Multilingual support: English, German, Spanish, Russian, Danish, Korean, Chinese, and many more...

- Thumbnail browser

- Batch conversion

- Slide show

- Batch rename

- Capture screen

- Tiled view (check textures for seamless tiling, very useful for game developers/modders)

- Create animations

- Create multiple page images

- Manipulate and edit images:

- Flip vertical and horizontal

- Rotate left, right and free

- Grayscale

- Negative

- Change color depth (1, 4, 8, 16, 24 and 32 bit)

- Swap colors

- Resize per pixel percentage or standard dimensions

- Several resample filters available

- Effect filters including a handy Preview browser

- Import, export and edit palettes

- Set and remove transparency

- Customizable shortcuts for Keyboard and Mouse

- Command line parameter support

- Shell extension support

- Add-on plugin support

- Total Commander lister and packer plugin

- No write unnecessary registry (ini-based configuration)

- Fully optimized binaries (tiny, pure, fast, neat)


System requirements

- CPU: Pentium compatible

- Memory: 32MB or higher

- OS: Microsoft Windows 95/98/ME/NT 4.0/2000/XP/2003/Vista/7

- Display: 256 color or higher


License

* English

This program is freeware(donationware).

This means that you can use this program for free without any limitation.

But, you can donate money to me and your donation will greatly help me continue developing this program.

Furthermore, if you donate, you can get technical supports from me and your suggestion will be considered first.

If you think this program is useful, please donate!

You can donate at here:

Thank you!

After donation, you'll receive your own license code.

And this license code will prove that the copy of Imagine is your own version.

The amount of money is left up to the discretion of the user.

But, a minimum donation of $10.00(US) is required to receive your own license code.

If you want to know more about donationware, visit following link:

http://en.wikipedia.org/wiki/Donationware

* 한국어

이 프로그램은 무료 소프트웨어(기부 소프트웨어)입니다.

이는 아무런 제한 없이 자유롭게 이 프로그램을 사용할 수 있음을 의미합니다.

그러나, 저에게 돈을 기부하실 수 있으며 당신의 기부는 제가 이 프로그램 개발을 지속하는데 있어 큰 도움이 됩니다.

뿐만 아니라, 기부하시면 저로부터 기술적 지원을 받으실 수 있으며 제안 사항에 대해서 우선적으로 고려하게 됩니다.

만약 이 프로그램이 유용하다고 생각되시면 기부를 부탁드립니다!

다음 은행계좌로 입금해주실 수 있습니다:

신한은행: 110-104-513208 (천세진)

우리은행: 605-702400-18-568 (천세진)

KB국민은행: 627702-01-286350 (천세진)

기업은행: 478-038421-01-015 (천세진)

하나은행: 582-910008-57907 (천세진)

씨티은행: 895-03381-264-01 (천세진)

감사합니다!

기부 후에 본인만의 라이센스 코드를 받으실 수 있습니다.

(입금 후 nyam@nyam.pe.kr로 입금하신 분의 성함을 e-mail로 알려주시면 성함에 해당하는 라이센스 코드를 e-mail로 회신하여 드립니다.)

이 라이센스 코드는 Imagine이 당신의 고유한 버전이라는 것을 증명해줄 것입니다.

기부 금액은 전적으로 사용자의 자유 의사에 따르겠습니다.

그러나 본인만의 라이센스 코드를 받으시기 위해서는 최소 1만원 이상의 금액을 필요로 합니다.

만약 기부 소프트웨어에 대해서 자세히 알고 싶으시면 다음 링크를 참조하실 수 있습니다:

http://en.wikipedia.org/wiki/Donationware


Command line parameters

Syntax:

Imagine.exe [Parameter...] "File name"...

Parameters: (Case-insensitive)

/about About

/anim[:File name] Animation Editor

/assocext Associate Extension

/browse[:Folder] Browse

/capture Capture Screen

/copy Copy

/depth[:Color depth] Change Color Depth

/dissocext Dissociate Extension

/filter[:Filter name] Filter

/flip Vertical Flip

/fullscreen Full Screen

/grayscale Grayscale

/help Command Line Parameters

/jpegtran[:List file name] JPEG Lossless Transformation

/mirror Horizontal Flip

/multipage[:Output file name] Create Multiple Page Image

/negative Negative

/p Print

/palimp[:File name] Import Palette

/paste Paste

/pref Preferences

/print Print

/register Registration

/regcontextmenu Register Context Menu Handler

/resize[:(Width,Height)["%"]] Resize

/rotate[:Degrees|"Left"|"Right"] Rotate

/save[:Output file name or Extension] Save

/slide[:List file name] Slide Show

/swapcol[:"BGR"|"RBG"|"GRB"|"BRG"|"GBR"] Swap Colors

/top Always on Top

/uninstall Uninstall

/unregcontextmenu Unregister Context Menu Handler

/viewer Force Viewer Mode at Startup

/wallpaper[:"Centered"|"Tiled"|"Stretched"] Set as Wallpaper

Sub-parameters: (Case-insensitive, must be located next to parameter)

[/slide]

--full[:"no"] Full screen

--auto[:"no"|seconds] Advance slides automatically

--loop[:"no"] Loop slide show

--randomize[:"no"] Randomize image order

--effect[:Effect name] Set frame effect

[/jpegtran]

--tran[:"none"|"mirror"|"flip"|"90"|"180"|"270"] Set transformation

--extra[:"keepall"|"keepcomment"|"removeall"] Set "extra marker" option

--keeptime[:"no"] Keep original date/time

--optimize[:"no"] Optimize huffman table

--trim[:"no"] Trim non-transformable edge blocks

[/save]

--progressive[:"no"] Set progressive (JPEG format)

--quality[:1~100] Set quality (JPEG format)

--compression[:"none"|"lzw"|"packbits"|"jpeg"|"zip"|"adobe zip"|"huffman rle"|"ccitt fax 3"|"ccitt fax 4"] Set compression (TIFF format)

* The above sub-parameters of "/save" are just part of the whole supported sub-parameters. You can use any string of option item which is in 'File->Save as->Options' dialog.

Examples:

Imagine /save:"001.gif" "001.jpg"

: Load "001.jpg" file and save it as "001.gif" file.

Imagine /save "001.jpg"

: Load "001.jpg" file and show "save as" dialog.

Imagine /save:tif --compression:packbits *.jpg

: Load all jpg files in current directory and save them as corresponding tif files with packbits compression.

Imagine /save:jpg --quality:90 *.bmp

: Load all bmp files in current directory and save them as corresponding jpg files with setting quality value to 90.

Imagine /neg /filter:"emboss" /gray /save:*.gif *.jpg

: Load all jpg files in current directory and apply "negative", "emboss filter", "grayscale" and save them as corresponding gif files.

(Batch conversion)

Imagine /resize:(320,240) /save:png *.jpg

: Load all jpg files in current directory and resize their widths and heights to 320 and 240 and save as corresponding png files.

Imagine /resize:(,100) /save:png *.jpg

: Load all jpg files in current directory and resize their heights to 100 and save as corresponding png files.

(Widths are calculated from aspect ratio.)

Imagine /flip /p "001.jpg"

: Load "001.jpg" file and apply "vertical flip" and print it.

Imagine /multipage:output.tif "001.jpg" "002.jpg" "003.jpg"

: Load "001.jpg", "002.jpg", "003.jpg" files and create multiple page image and save as "output.tif" file.

Imagine /multipage *.jpg

: Load all jpg files in current directory and create multiple page image and show "save as" dialog.

Imagine /slide "001.jpg" "002.jpg" "003.jpg"

: Load "001.jpg", "002.jpg", "003.jpg" files and start slide show with the files.

Imagine /slide *.jpg

: Load all jpg files in current directory and start slide show with the files.

Imagine /slide --full --auto:5 --loop --randomize --effect:"overlap" *.jpg

: Load all jpg files in current directory and start slide show with the files and options.

Imagine /jpegtran --tran:mirror --extra:removeall --keeptime --optimize --trim *.jpg

: Load all jpg files in current directory and start JPEG lossless transformation process with the files and options.


Translation

Belarusian

- Mikola Shiplyuk

Bulgarian

- SSTANEV

Croatian

- Elvis Gambiraza

Czech

- Vaclav Panenka

- z_o_o_m

- Motycka Petr

Danish

- Peter H. S. Madsen

English

- Chun Sejin (myself)

- deus-ex

- Kurt Lettmaier

Estonian

- Grunt

French

- Paul Vansumsen

German

- deus-ex

- Kurt Lettmaier

Hungarian

- Bodnar Gabor Kalman (Panthera)

Italian

- Angeleri Paolo

Japanese

- Nardog

Korean

- Chun Sejin (myself)

Polish

- Dariusz J. Kawecki

Romanian

- Lorant Szakacs

Russian

- Irakly Tchanturia

- Dmitry Yerokhin

- Alexandr IMPOMEZIA

- Konstantin Vlasov

Simplified Chinese

- Shanny

- Kend Tung

- Leo Dou

Spanish

- Jose Manuel Breto

Swedish

- Leif Larsson

Traditional Chinese

- BOSS Wang

- James Cai

Turkish

- Tahsin Kocaman

- Adem HURTURK

Ukrainian

- Roman Novostavsky


Special thanks to

Thomas G. Lane (IJG JPEG library)

Guy Eric Schalnat, Group 42, Inc. (libpng)

Sam Leffler, Silicon Graphics, Inc. (libtiff)

Jean-loup Gailly and Mark Adler (zlib)

Guido U. Draheim (zziplib)

Markus Oberhumer, Laszlo Molnar & John Reiser (UPX)

Xiaolin Wu (Color Quantizer)

Jose Manuel Breto (Spanish language & Toolbar bitmap & Spanish homepage)

deus-ex (English language template & User interface)

2CANA Universal IT Solutions (Donation)

Mark James (Silk Icons)

Chun Seyoung

Lee Hoyoung

Jeon Sungjoo

Hwang Jonghwan

Kim Panki

Kim Changnam

Kim Seungtae

Park Heejoong

Chae Jonghwan

Lee Sunggon

Cho Hyungil

Lee Hyungjoon

Kim Sangil

Kim Hyunsik

Jeon Dongsu

Shin Sungchul

Cha Jaeho

Thomas Knoop

Kim Hongkil

Kim Jinhyuk

Kim Kiuk


Internet

Website

- http://www.nyam.pe.kr

e-mail

- nyam@nyam.pe.kr


Frequently asked questions (FAQ)

1. What's the Imagine.wlx and Imagine.wcx files

Imagine can be used with Total Commander. (famous file manager)

Imagine.wlx file can be associated with the lister of Total Commander and Imagine.wcx file can be used as a packer plugin of Total Commander.

But if you don't use Total Commander, these files can be deleted if you want.

In this case, the minimal required files are only Imagine.exe and Imagine.dll.

2. How can I use Imagine.wcx file

The following is applied only to Total Commander users as I said at the above.

With Imagine.wcx file, you can browse the image/animation files as if they're archive files.

Associate with 'Imagine' extension. Then you can browse into any graphic files that are supported by Imagine.

You can also extract frames that you want from animation file. (ex. Animated GIF file)

And you can convert the format of image. The target image format is determined by the extension of target image file name.

With the 'Create separate archives, one per selected file/dir' option, it can be used with batch conversion tasks.

3. I can't uninstall Imagine, the Imagine.dll file cannot be deleted.

You seems to be using the shell extension feature.

If you use the shell extension feature, the Imagine process is not unloaded until the explorer is closed and the executable file cannot be deleted.

First, disable all the shell extension features. (It's on Shell Extension tab in preference dialog.)

Now logoff or reboot the Windows, and you can delete the Imagine.dll.

4. I want to make the plugin of Imagine. How can I start

There is a plugin SDK of Imagine. You can download the latest version at the homepage of Imagine.

But it may lack of document or description. Then you can reach me via WWW or E-mail.

5. Some options don't work.

Anti aliasing option, and some toolbar styles may require later version of common control.

You can update this by installing later version of Internet Explorer.

6. I can't see WMF images.

You seems to use Imagine as a Total Commander lister plugin.

WMF images have been disabled in Lister+Thumbnails for security reasons (security hole in Windows).

They can be reenabled via wincmd.ini [Configuration] WmfAllowed=3

7. Can I use environment variables

You can use environment variables with a pair of '%'.

For example, '%TEMP%' represents temp directory environment variable.